:root{
    --color-texto:white;
}
*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}
html{
    scroll-behavior: smooth;
    scroll-padding-top: 4rem;
}
ul{
    list-style: none;
}
a{
    text-decoration: none;
    color: inherit;
    white-space: nowrap;
}
body{
    font-family: system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
    font-size: 1.2rem;
}
.contenedor{
    width: min(calc(100% - 32px), 1250px);
    margin: 0 auto;
}
.celu-input,.celu-label,#abrir-menu,#abrir-label,#cerrar-label{
    display:none;
}
header {
    position: fixed;
    top:0;
    width: 100%;
    background-color: darkcyan;
    color: white;
    line-height: 70px;
    height: 70px;
}
header nav{
    display: flex;
    justify-content: space-between;
    align-items: center;
    line-height: 70px;
    height: 70px;
    position: relative;
}
header nav a#logo{
    font-size: 1.5rem;
    font-size: 700;
}
header nav ul.opciones{
    display: flex;
    justify-content: center;
    gap:3rem;
}
header nav ul.opciones a, header nav ul.opciones label {
    font-weight: 600;
    padding: 0 1.5rem;
    text-transform: capitalize;
}
header nav ul.opciones a:hover{
   color: cyan;
}
header nav ul.opciones ul.subopciones{
    background-color: darkcyan;
    border-radius: 0 0 8px 8px;
    padding-inline: 1rem;
    line-height: 45px;
    position: absolute;
    top:100px;
    visibility: hidden;
    opacity: 0;
    transition: 0.2s linear;
}
header nav ul.opciones li:hover ul.subopciones{
    top:70px;
    visibility: visible;
    opacity: 1;
}

header nav ul.opciones .mega-opciones{
    background-color: darkcyan;
    line-height: 45px;
    position: absolute;
    top:100px;
    left: 0;
    width: 100%;
    visibility: hidden;
    opacity: 0;
    transition: 0.1s linear;
}
header nav ul.opciones li:hover .mega-opciones{
    top:70px;
    visibility: visible;
    opacity: 1;

}
header nav ul.opciones .mega-opciones .contenido{
    display: flex;
    justify-content: center;
}
header nav ul.opciones .mega-opciones .contenido .columna{
    border-left: 1px solid rgba(0,0,0,0.5);
    width: 25%;
   
}
header nav ul.opciones .mega-opciones .contenido .columna h3{
    color: chartreuse;
    user-select: none;
    padding-left: 1rem;
}
header nav ul.opciones .mega-opciones .contenido .columna img{
    width:100%;
    height: 100%;
    object-fit: cover;
}
header nav ul.opciones a svg, header nav ul.opciones label svg{
    transform: translateY(25%);
}
header nav ul.opciones li a svg{
    transition: 0.5s ease;
}
header nav ul.opciones li:hover a svg{
    transform: rotate(180deg);
}

section{
    min-height: 100vh;
    display: grid;
    place-items: center;
    font-size: 3rem;
    text-transform: uppercase;
    border-bottom: 3px solid darkcyan;
    text-align: center;
}

@media (max-width:978px) {
    #abrir-label,#cerrar-label{
        display: block;
        cursor: pointer;
    }
    #abrir-label{
        transform: translateY(10%);
    }
    #cerrar-label{
        position: absolute;
        top:1.5rem;
        right: 1.5rem;
    }
    header nav ul.opciones{
        position: fixed;
        top:0;
        left: -125%;
        height: 100vh;
        width: min(20rem,80%);
        background-color: darkcyan;
        box-shadow: 0 5px 10px rgba(0,0,0,0.5);
        display: block;
        line-height: 45px;
        padding-top: 10rem;
        overflow-y: auto;
        transition: 0.2s linear;
    }
    #abrir-menu:checked ~ ul.opciones{
        left:0;
    }
    ::-webkit-scrollbar{
        width: 0;
    }
     header nav ul.opciones ul.subopciones{
        padding-left: 2rem;
        position: static;
        visibility: visible;
        opacity: 1;
        max-height: 0;
        overflow: hidden;
        transition: 0.2s linear;
     }
    header nav ul.opciones .mega-opciones{
        position: static;
        visibility: visible;
        opacity: 1;
        max-height: 0;
        overflow: hidden;
    }
    header nav ul.opciones .mega-opciones .contenido{
     flex-direction: column;
     padding-left: 2rem;
    }
    header nav ul.opciones .mega-opciones .contenido .columna:first-child{
     display: none;
    }
    header nav ul.opciones .mega-opciones .contenido .columna{
        border-left: 0px;
    }
    .escritorio{
        display: none;
    }
    .celu-label{
        display: block;
        cursor: pointer;
    }
    .celu-input:checked ~ ul.subopciones{
        max-height: 15rem;
    }
     .celu-input:checked ~ .mega-opciones{
        max-height: 100rem;
    }
    .celu-input:checked ~ label svg{
        transform: rotate(180deg);
    }
     
}